Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jws
Class RetryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.jws.RetryException
                  weblogic.jws.RetryException

All Implemented Interfaces:
  Serializable

Deprecated.

    public class RetryException

extends RetryException

This class can be thrown by JWS applications on non-blocking ports to indicate that the method should be reattempted at a later point in time.

The `retryDelay` value can be one of:

- DEFAULT_DELAY - use delay specified declaratively in JWS @Nonblocking
- 0 - no delay on retry
- n - delay for 'n' seconds before retry
- duration - a duration string in the format used for the retryDelay attribute of the \@jws:message-buffer tag.

See Also:
  `RetryException`, Serialized Form

Field Summary

Fields inherited from class com.bea.jws.RetryException
`DEFAULT_DELAY`

Constructor Summary
`RetryException(String s)` Deprecated.
`RetryException(String s, long retrySeconds)` Deprecated.
`RetryException(String s, String retryString)` Deprecated.

Method Summary

Methods inherited from class com.bea.jws.RetryException
`getRetryDelay`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RetryException

    public RetryException(String s,
                          long retrySeconds)

  Deprecated.

### RetryException

    public RetryException(String s,
                          String retryString)

  Deprecated.

### RetryException

    public RetryException(String s)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD